#ifndef STRUTIL_H__
#define STRUTIL_H__

#include <string>
#include <vector>

using namespace std;

void SplitStringUsing(const string& value,
		      const char* separators,
		      vector<string>* tokens);
void TrimStringLeft(string* value,
		    const char* separators);
void TrimStringRight(string* value,
		     const char* separators);
void StripWhiteSpace(string* value);
void GetKeyValue(const string& key_value, string& key, string& value);

#endif
